package window;
import net.sf.zipme.*;
import java.io.*;
import java.util.*;

public class z{
public static ZipArchive za;

public z(){
}

public static InputStream getInput(String name){
try{
	ZipEntry ze = za.getEntry(name);
	InputStream is = za.getInputStream(ze);
	return is;
} catch (Exception e){}
return null;
}

public static Vector getFile(InputStream is){
DataInputStream dis = new DataInputStream(is);
StringBuffer sb = new StringBuffer();
Vector ret = new Vector();
try{
	int ch=0;
	while((ch = dis.read())!=-1) {
		if(ch!=13 && ch!=10){
			sb.append((char) ((ch >= 0xc0 && ch <= 0xFF) ? (ch + 0x350) : ch));
		} else {
			ch = dis.read();
			ret.addElement(sb.toString());
			sb = new StringBuffer();
		}
	}
	ret.addElement(sb.toString());
} catch (Exception e){}
return ret;
}

}